Package org.kapott.cryptalgs

## Class CryptAlgs4JavaProvider

- java.lang.Object
- - java.util.Dictionary<K,​V>
  - - java.util.Hashtable<java.lang.Object,​java.lang.Object>
    - - java.util.Properties
      - - java.security.Provider
        - - org.kapott.cryptalgs.CryptAlgs4JavaProvider

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<java.lang.Object,​java.lang.Object>`

    public final class CryptAlgs4JavaProvider
    extends java.security.Provider

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.security.Provider

`java.security.Provider.Service`

### Field Summary

Fields
`static java.lang.String` `NAME` Der Provider-Name.

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
`CryptAlgs4JavaProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.logging.Logger` `getLogger()`

### Methods inherited from class java.security.Provider

`clear, compute, computeIfAbsent, computeIfPresent, configure, elements, entrySet, forEach, get, getInfo, getName, getOrDefault, getProperty, getService, getServices, getVersion, getVersionStr, isConfigured, keys, keySet, load, merge, put, putAll, putIfAbsent, putService, remove, remove, removeService, replace, replace, replaceAll, toString, values`

### Methods inherited from class java.util.Properties

`clone, contains, containsKey, containsValue, equals, getProperty, hashCode, isEmpty, list, list, load, loadFromXML, propertyNames, rehash, save, setProperty, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NAME

    public static final java.lang.String NAME

Der Provider-Name.

See Also:
  Constant Field Values

### Constructor Detail

#### CryptAlgs4JavaProvider

    public CryptAlgs4JavaProvider()

### Method Detail

#### getLogger

    protected java.util.logging.Logger getLogger()